> For a complete page index, fetch https://docs.transak.com/llms.txt

# Get VBA List

GET https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list

Fetch the list of Virtual Bank Accounts (VBAs) for Stream On-Ramp.

Reference: https://docs.transak.com/api/whitelabel/stream-on-ramp/get-virtual-bank-account-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: whitelabel-api
  version: 1.0.0
paths:
  /api/v2/onramp-stream/vba/list:
    get:
      operationId: get-virtual-bank-account-list
      summary: Get VBA List
      description: Fetch the list of Virtual Bank Accounts (VBAs) for Stream On-Ramp.
      tags:
        - ''
      parameters:
        - name: x-user-ip
          in: header
          description: >-
            End user's originating IP. More details
            [here](/guides/mandatory-security-changes#user-ip-header-in-apis)
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: >-
            Your Partner API key. You can find this in the [Partner
            Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section).
          required: true
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            The authorization token is the accessToken returned by the

            [WhiteLabel API -
            api/v2/auth/verify](/api/whitelabel/user/verify-user-otp)


            Note: This is not applicable for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
            default: YOUR_USER_AUTH_TOKEN
        - name: x-user-identifier
          in: header
          description: >-
            Your authenticated user Email Id address.


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
            default: USER_EMAIL_ID
        - name: x-access-token
          in: header
          description: >-
            Your Partner Access Token. Please refer
            [here](/guides/how-to-create-partner-access-token) for a tutorial on
            generating your access token. 


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get-virtual-bank-account-list_Response_200
        '404':
          description: 404 - User Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-listRequestNotFoundError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-listRequestInternalServerError
servers:
  - url: https://api-gateway-stg.transak.com
    description: Staging
components:
  schemas:
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceRemitterAccountDetailsItems:
      type: object
      properties:
        accountNumber:
          type: string
        ifscCode:
          type: string
        bankName:
          type: string
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceRemitterAccountDetailsItems
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankAccount:
      type: object
      properties:
        type:
          type: string
        value:
          type: string
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankAccount
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankLocalCode:
      type: object
      properties:
        type:
          type: string
        value:
          type: string
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankLocalCode
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSource:
      type: object
      properties:
        fiatCurrency:
          type: string
          description: Fiat currency for the VBA
        remitterAccountDetails:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceRemitterAccountDetailsItems
          description: Remitter account details, applicable for INR VBAs
        bankAccount:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankAccount
        bankLocalCode:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSourceBankLocalCode
      description: Source bank details mapped to this VBA
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSource
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsDestination:
      type: object
      properties:
        cryptoCurrency:
          type: string
        walletAddress:
          type: string
        network:
          type: string
        memoTag:
          type: string
      description: Destination crypto transfer details
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsDestination
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItems:
      type: object
      properties:
        id:
          type: string
          description: Generated Virtual Bank Identifier
        status:
          type: string
          description: Current VBA status
        source:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsSource
          description: Source bank details mapped to this VBA
        destination:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItemsDestination
          description: Destination crypto transfer details
      title: >-
        ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItems
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaDataItemsItems
          description: List of Virtual Bank Accounts
        count:
          type: integer
          description: Total number of items returned
      required:
        - items
        - count
      title: ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaData
    get-virtual-bank-account-list_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: get-virtual-bank-account-list_Response_200
    ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      required:
        - statusCode
        - message
      title: ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError
    Get-virtual-bank-account-listRequestNotFoundError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-listRequestNotFoundError
    Get-virtual-bank-account-listRequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaListGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-listRequestInternalServerError

```

## Examples

### Success



**Response**

```json
{
  "data": {
    "items": [
      {
        "id": "698475e474c810f090ee01fd",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "USD",
          "bankAccount": {
            "type": "account_number",
            "value": "359309664407"
          },
          "bankLocalCode": {
            "type": "routing_number",
            "value": "021000021"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
          "network": "ethereum",
          "memoTag": "test"
        }
      },
      {
        "id": "698475e474c810f090ee01fe",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "EUR",
          "bankAccount": {
            "type": "iban",
            "value": "GB58SEOU19870010411513"
          },
          "bankLocalCode": {
            "type": "bic",
            "value": "CFTEMTM1"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0x91CD2BE653759aed7B0996315821AAe71e1FEA11",
          "network": "ethereum",
          "memoTag": "eur-transfer"
        }
      },
      {
        "id": "698475e474c810f090ee01ff",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "GBP",
          "bankAccount": {
            "type": "account_number",
            "value": "00083038"
          },
          "bankLocalCode": {
            "type": "sort_code",
            "value": "040509"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22",
          "network": "ethereum",
          "memoTag": "gbp-transfer"
        }
      },
      {
        "id": "698ef7ce44433b320eb4a8df",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "INR",
          "remitterAccountDetails": [
            {
              "accountNumber": "132132131321",
              "ifscCode": "KARB00000121",
              "bankName": "KARNATAKA BANK"
            }
          ],
          "bankAccount": {
            "type": "account_number",
            "value": "2500021AA002131223"
          },
          "bankLocalCode": {
            "type": "ifsc_code",
            "value": "SMCB0000HDE"
          }
        },
        "destination": {
          "cryptoCurrency": "USDT",
          "walletAddress": "0x30D616C4a494313eDCFB5Ab13093e36F9d78a03a",
          "network": "ethereum",
          "memoTag": "test-memo"
        }
      }
    ],
    "count": 4
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### USD-Success



**Response**

```json
{
  "data": {
    "items": [
      {
        "id": "698475e474c810f090ee01fd",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "USD",
          "bankAccount": {
            "type": "account_number",
            "value": "359309664407"
          },
          "bankLocalCode": {
            "type": "routing_number",
            "value": "021000021"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
          "network": "ethereum",
          "memoTag": "test"
        }
      }
    ],
    "count": 1
  }
}
```

**SDK Code**

```python USD-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript USD-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go USD-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby USD-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java USD-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php USD-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp USD-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift USD-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### EUR-Success



**Response**

```json
{
  "data": {
    "items": [
      {
        "id": "698475e474c810f090ee01fd",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "EUR",
          "bankAccount": {
            "type": "iban",
            "value": "GB58SEOU19870010411513"
          },
          "bankLocalCode": {
            "type": "bic",
            "value": "CFTEMTM1"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
          "network": "ethereum",
          "memoTag": "test"
        }
      }
    ],
    "count": 1
  }
}
```

**SDK Code**

```python EUR-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript EUR-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go EUR-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby EUR-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java EUR-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php EUR-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp EUR-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift EUR-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### GBP-Success



**Response**

```json
{
  "data": {
    "items": [
      {
        "id": "698475e474c810f090ee01fd",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "GBP",
          "bankAccount": {
            "type": "account_number",
            "value": "00083038"
          },
          "bankLocalCode": {
            "type": "sort_code",
            "value": "040509"
          }
        },
        "destination": {
          "cryptoCurrency": "ETH",
          "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
          "network": "ethereum",
          "memoTag": "test"
        }
      }
    ],
    "count": 1
  }
}
```

**SDK Code**

```python GBP-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript GBP-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go GBP-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby GBP-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java GBP-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php GBP-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp GBP-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift GBP-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### INR-Sucesss



**Response**

```json
{
  "data": {
    "items": [
      {
        "id": "698ef7ce44433b320eb4a8df",
        "status": "ACTIVE",
        "source": {
          "fiatCurrency": "INR",
          "remitterAccountDetails": [
            {
              "accountNumber": "132132131321",
              "ifscCode": "KARB00000121",
              "bankName": "KARNATAKA BANK"
            }
          ],
          "bankAccount": {
            "type": "account_number",
            "value": "2500021AA002131223"
          },
          "bankLocalCode": {
            "type": "ifsc_code",
            "value": "SMCB0000HDE"
          }
        },
        "destination": {
          "cryptoCurrency": "USDT",
          "walletAddress": "0x30D616C4a494313eDCFB5Ab13093e36F9d78a03a",
          "network": "ethereum",
          "memoTag": "test-memo"
        }
      }
    ],
    "count": 1
  }
}
```

**SDK Code**

```python INR-Sucesss
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript INR-Sucesss
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go INR-Sucesss
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby INR-Sucesss
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java INR-Sucesss
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php INR-Sucesss
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp INR-Sucesss
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift INR-Sucesss
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```